<?xml version="1.0" ?>
<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
  <!ENTITY kappname "&sonnet;">
  <!ENTITY % English "INCLUDE" > <!-- change language only here -->
  <!ENTITY % addindex "IGNORE">
]>

<book lang="&language;">

<bookinfo>
<title>The &sonnet; Handbook</title>
<authorgroup>
<author>&David.Sweet; &David.Sweet.mail;</author>

<!-- TRANS:ROLES_OF_TRANSLATORS -->

</authorgroup>

<date>2003-02-24</date>
<releaseinfo>1.00.00</releaseinfo>
<abstract>
<para>&sonnet; is the spelling checker used by &kde; applications such
as &kate;, &kmail;, and &kword;. It is a &GUI;
frontend to <application>International ISpell</application> and
<application>ASpell</application>.</para>

</abstract>
<keywordset>
<keyword>spell</keyword>
<keyword>spelling</keyword>
<keyword>sonnet</keyword>
<keyword>ispell</keyword>
<keyword>aspell</keyword>
<keyword>check</keyword>
<keyword>checker</keyword>
<keyword>KDE</keyword>
</keywordset>
</bookinfo>

<chapter id="misspelled-word-dialog">
<title>Misspelled Word Dialog</title>

<!-- This one might need a paragraph of its own) --> 
<para>(If you do not have <application>Ispell</application> installed
you can obtain it from the <ulink
url="http://fmg-www.cs.ucla.edu/geoff/ispell.html">International
ISpell home page</ulink>.  ASpell is available from the <ulink
url="http://aspell.sourceforge.net/">ASpell home page</ulink>.)
</para>

<sect1 id="general-use">
<title>General Use</title>

<para><anchor id="spelldlg"/>
The top line in the dialog displays a possibly misspelled word which was found in your
document. &sonnet; attempts to find an appropriate replacement word. One or
several may be found. The best guess is shown to the right of <guilabel>Replacement:</guilabel>.
To accept this replacement, click on <guibutton>Replace</guibutton>. You may also select a word
from the list of <guilabel>Suggestions</guilabel> and then click <guibutton>Replace</guibutton> to replace the
misspelled word with the selected word.</para>

<para>To keep your original spelling, click on <guilabel>Ignore</guilabel>.</para>

<para>To stop the spellchecking -- keeping the changes you've already made -- click
on <guibutton>Stop</guibutton>.</para>

<para>To stop the spellchecking and cancel the changes you've already made, click on
<guibutton>Cancel</guibutton>.</para>

<para>Clicking on <guibutton>Replace All</guibutton> will initially perform the same function as
clicking on <guibutton>Replace</guibutton>, but will automatically replace the misspelled word
with the chosen replacement word, if it appears again (at a later point) in your
document.</para>

<para>The <guibutton>Ignore All</guibutton> button ignores this and all future occurrences of the
misspelled word.</para>

<para>Clicking on <guibutton>Add</guibutton> will add the misspelled word to your personal dictionary
(this is distinct from the original system dictionary, so the additions you make
will not be seen by other users).</para>
</sect1>
</chapter>

<chapter id="configuration-dialog">
<title>Configuration Dialog </title>
<anchor id="configuration"/>

<sect1 id="dictionaries">
<title>Dictionaries</title>

<para>You can choose the dictionary to use for spellchecking from the list of
installed dictionaries.</para>
</sect1>

<sect1 id="encodings">
<title>Encodings</title>

<para>The most commonly used character encodings are:
<variablelist>
<varlistentry>
<term>US-ASCII</term>
<listitem>
<para>This is the character set used for English text.</para>
</listitem>
</varlistentry>
<varlistentry>
<term>ISO-8859-1</term>
<listitem>
<para>This is used for Western European languages.</para>
</listitem>
</varlistentry>
<varlistentry>
<term>UTF-8</term>
<listitem>
<para>This is a Unicode encoding that can be used for almost any language, if 
your system has the necessary fonts.</para>
</listitem>
</varlistentry>
</variablelist>
</para>

<para>You should select the one that matches the character set you are using.
In some cases, dictionaries will support more than one encoding.  A
dictionary might, for example, accept accented characters when <guilabel>ISO-8859-1</guilabel> is
selected, but accept email-style character combinations (like <literal>'a</literal> for an
accented <literal>a</literal>) when <guilabel>US-ASCII</guilabel> is selected. Please see
your dictionary's distribution for more information.</para>
</sect1>

<sect1 id="spell-checking-client">
<title>Spell-checking client</title>

<para>You may choose to use <application>Ispell</application> or <application>Aspell</application> as the spell-checking
backend for &sonnet;. <application>Ispell</application> is more widely available and may
have better international support, but <application>Aspell</application> is gaining
popularity as it claims to give better suggestions for word replacements.</para>
</sect1>

<sect1 id="other">
<title>Other</title>

<para>It is recommend that you do not change the first two options unless you have
read the International <application>ISpell</application> man page.</para>
</sect1>
</chapter>

<chapter id="contact-information">
<title>Contact Information</title>

<para>For more information about &sonnet;, visit the <ulink url="http://www.chaos.umd.edu/~dsweet/KDE/Sonnet">&sonnet; 
Home Page</ulink>. In particular, you will find information about programming the &sonnet; C++ class.</para>

<para>You may email the author/maintainer with questions and/or comments at
&David.Sweet.mail;.</para>

<!-- TRANS:CREDIT_FOR_TRANSLATORS -->
&underFDL;

</chapter>
&documentation.index; 
</book>
<!--
Local Variables:
mode: sgml
sgml-omittag: nil
sgml-shorttag: t
sgml-general-insert-case: lower
End:
-->

